API business return codes (Return, Provider, and Reason)

To determine whether a sale has been authorized and/or paid, check Payment.Status, ReturnCode, and ReturnMessage.

The returned codes are dynamic and depend on the flow followed by each request.


See this section:


Sale return codes: ReturnCode and ReturnMessage

ReturnCode and ReturnMessage provide the result of the operation from a business perspective and are returned in the response body for the following operations:

  • Transaction creation;
  • Capture;
  • Void.

The main success ReturnCode values are:

  • 00: transaction authorized;
  • 4: transaction authorized (eligible for capture);
  • 6: transaction captured.
ℹ️

Validate the success of the sale by checking the combination of ReturnCode and Payment.Status.

Some examples of ReturnCode values for denied transactions are:

  • 51: the cardholder does not have sufficient funds for the purchase;
  • 54: expired card;
  • 78: new card not activated.

How to interpret ReturnCode

When a transaction is denied, ReturnCode is the primary indicator used to determine the decision flow. It is important for the merchant to assess whether the response is reversible or irreversible and decide whether the transaction should be resubmitted for a new authorization attempt.

Analyze the return type to:

  • Determine whether the transaction can be submitted again using the same card;

  • Display messages on the payment page or send a message to the shopper advising them to use a different card or another payment method.

ℹ️

Warning for denied credit or debit card authorizations:

When the transaction is reversible:

  • Resubmit the transaction for authorization (retry);
  • Follow the card brand's retry limits for that specific code to avoid penalties.

When the transaction is irreversible:

  • Advise the shopper to use a different card or another payment method.

Common ReturnCode scenarios by payment method

The following table provides examples of the main scenarios for each payment method, along with their corresponding Status and ReturnCode:

ScenarioPayment.StatusReturnCode example*ReturnMessage example*
Credit - authorized100 or 4Transação autorizada (Transaction authorized)
Credit - captured (paid)26 or 00Transação capturada com sucesso
(Transaction captured successfully)
Credit - denied3Various (see Abecs table)Autorização negada
(Authorization denied)
Credit - aborted13Does not return ReturnCode/Message
Credit - not finalized0001 or BP171XML inválido (Invalid XML) ou Rejected by fraud risk
Credit - recurrence scheduled204Operation Successful
Debit - paid200 or 6Transação capturada com sucesso
(Transaction captured successfully)
Debit - not authorized3Various (see Abecs table)Autorização negada
(Authorization denied)
Pix - successfully generated120Pix gerado com sucesso
(Pix generated successfully)
Pix - paid20Sucesso
(Success)
Pix - not finalized0422Error on merchantResponse integration
Pix - refunded110Devolução solicitada com sucesso
(Refund requested successfully)
Boleto - created10REGISTRO EFETUADO COM SUCESSO
(REGISTRATION COMPLETED SUCCESSFULLY)
Boleto paid2----
Void approved109Transação desfeita (Transaction voided) or Transação cancelada com sucesso (Transaction successfully voided)
Refund approved119Transação desfeita
(Transaction voided)

*The ReturnCode and ReturnMessage values shown in the table are examples of common responses for each scenario. See the ReturnCode and ReturnMessage Table for the complete list of possible values.

ReturnCode and ReturnMessage Table

ReturnCode and ReturnMessage are equivalent to Code and Message, but they are returned in different situations:

  • ReturnCode and ReturnMessage values are returned in successful HTTP operations (200 or 201);
  • Code and Message values are returned in HTTP error operations (for example, 400).

Check the complete table:

ReturnCode or CodeReturnMessage or MessageDescription
00Internal errorSubmitted data exceeds the field length
100RequestId is requiredThe submitted field is empty or invalid.
101MerchantId is requiredThe submitted field is empty or invalid.
102Payment Type is requiredThe submitted field is empty or invalid.
103Payment Type can only contain lettersSpecial characters are not allowed.
104Customer Identity is requiredThe submitted field is empty or invalid.
105Customer Name is requiredThe submitted field is empty or invalid.
106Transaction ID is requiredThe submitted field is empty or invalid.
107OrderId is invalid or does not existsThe submitted field exceeds the allowed length or contains special characters.
108Amount must be greater or equal to zeroThe transaction amount must be greater than "0".
109Payment Currency is requiredThe submitted field is empty or invalid.
110Invalid Payment CurrencyThe submitted field is empty or invalid.
111Payment Country is requiredThe submitted field is empty or invalid.
112Invalid Payment CountryThe submitted field is empty or invalid.
113Invalid Payment CodeThe submitted field is empty or invalid.
114The provided MerchantId is not in correct formatThe provided MerchantId is not a GUID.
115The provided MerchantId was not foundThe MerchantID does not exist or belongs to a different environment (for example, Sandbox).
116The provided MerchantId is blockedMerchant is blocked. Check your merchant status on the Cielo website.
117Credit Card Holder is requiredThe submitted field is empty or invalid.
118Credit Card Number is requiredThe submitted field is empty or invalid.
119At least one Payment is required"Payment" node was not provided.
120Request IP not allowed. Check your IP White ListIP address blocked for security reasons.
121Customer is required"Customer" node was not provided.
122MerchantOrderId is requiredThe submitted field is empty or invalid.
123Installments must be greater or equal to oneThe number of installments must be greater than 1.
124Credit Card is RequiredThe submitted field is empty or invalid.
125Credit Card Expiration Date is requiredThe submitted field is empty or invalid.
126Credit Card Expiration Date is invalidThe submitted field is empty or invalid.
127You must provide CreditCard NumberCredit card number is required.
128Card Number length exceededCredit card number exceeds 16 digits.
129Affiliation not foundPayment method is not linked to the merchant, or the provider is invalid.
130Could not get Credit CardIt may indicate that no card could be found for the provided card token, or that the query was interrupted.
131MerchantKey is requiredThe submitted field is empty or invalid.
132MerchantKey is invalidThe provided MerchantKey is not valid.
133Provider is not supported for this Payment TypeThe provided provider does not exist.
134FingerPrint length exceededThe provided data exceeds the field size limit.
135MerchantDefinedFieldValue length exceededThe provided data exceeds the field size limit.
136ItemDataName length exceededThe provided data exceeds the field size limit.
137ItemDataSKU length exceededThe provided data exceeds the field size limit.
138PassengerDataName length exceededThe provided data exceeds the field size limit.
139PassengerDataStatus length exceededThe provided data exceeds the field size limit.
140PassengerDataEmail length exceededThe provided data exceeds the field size limit.
141PassengerDataPhone length exceededThe provided data exceeds the field size limit.
142TravelDataRoute length exceededThe provided data exceeds the field size limit.
143TravelDataJourneyType length exceededThe provided data exceeds the field size limit.
144TravelLegDataDestination length exceededThe provided data exceeds the field size limit.
145TravelLegDataOrigin length exceededThe provided data exceeds the field size limit.
146SecurityCode length exceededThe provided data exceeds the field size limit.
147Address Street length exceededThe provided data exceeds the field size limit.
148Address Number length exceededThe provided data exceeds the field size limit.
149Address Complement length exceededThe provided data exceeds the field size limit.
150Address ZipCode length exceededThe provided data exceeds the field size limit.
151Address City length exceededThe provided data exceeds the field size limit.
152Address State length exceededThe provided data exceeds the field size limit.
153Address Country length exceededThe provided data exceeds the field size limit.
154Address District length exceededThe provided data exceeds the field size limit.
155Customer Name length exceededThe provided data exceeds the field size limit.
156Customer Identity length exceededThe provided data exceeds the field size limit.
157Customer IdentityType length exceededThe provided data exceeds the field size limit.
158Customer Email length exceededThe provided data exceeds the field size limit.
159ExtraData Name length exceededThe provided data exceeds the field size limit.
160ExtraData Value length exceededThe provided data exceeds the field size limit.
161Boleto Instructions length exceededThe provided data exceeds the field size limit.
162Boleto Demostrative length exceededThe provided data exceeds the field size limit.
163Return Url is requiredThe return URL is not valid. Pagination or file extensions (for example, .PHP) are not allowed in the return URL.
166AuthorizeNow is requiredRequired field not sent.
167Antifraud not configuredAntifraude is not linked to the merchant registration.
168Recurrent Payment not foundRecurrence not found.
169Recurrent Payment is not activeRecurrence is not active. Execution has been halted.
170Cartão Protegido not configuredThe token is not linked to the merchant registration.
171Affiliation data not sentOrder processing failed due to an affiliation error. Verify your credentials.
172Credential Code is requiredCredential validation failed.
173Payment method is not enabledThe payment method is not linked to the merchant registration.
174Card Number is requiredThe provided field is empty or invalid.
175EAN is requiredThe provided field is empty or invalid.
176Payment Currency is not supportedThe provided field is empty or invalid.
177Card Number is invalidThe provided field is empty or invalid.
178EAN is invalidThe provided field is empty or invalid.
179The max number of installments allowed for recurring payment is 1The provided field is empty or invalid.
180The provided Card PaymentToken was not foundToken not found.
181The MerchantIdJustClick is not configuredToken is blocked.
182Brand is requiredCard brand was not provided.
183Invalid customer bithdateInvalid or future date of birth.
184Request could not be emptyRequest format error. Verify the submitted code.
185Brand is not supported by selected providerCard brand not supported by the API E-commerce Cielo.
186The selected provider does not support the options provided (Capture, Authenticate, Recurrent or Installments)The payment method does not support the requested operation.
187ExtraData Collection contains one or more duplicated names
188Avs with CPF invalid
189Avs with length of street exceeded
190Avs with length of number exceeded
191Avs with length of district exceeded
192Avs with zip code invalid
193Split Amount must be greater than zeroThe amount for a Split de Pagamento must be greater than 0.
194Split Establishment is RequiredThe provided field is empty or invalid.
195The PlataformId is requiredThe provided field is empty or invalid.
196DeliveryAddress is requiredThe provided field is empty or invalid.
197Street is requiredThe provided field is empty or invalid.
198Number is requiredThe provided field is empty or invalid.
199ZipCode is requiredThe provided field is empty or invalid.
200City is requiredThe provided field is empty or invalid.
201State is requiredThe provided field is empty or invalid.
202District is requiredThe provided field is empty or invalid.
203Cart item Name is requiredThe provided field is empty or invalid.
204Cart item Quantity is requiredThe provided field is empty or invalid.
205Cart item type is requiredThe provided field is empty or invalid.
206Cart item name length exceededThe provided data exceeds the field size limit.
207Cart item description length exceededThe provided data exceeds the field size limit.
208Cart item sku length exceededThe provided data exceeds the field size limit.
209Shipping addressee sku length exceededThe provided data exceeds the field size limit.
210Shipping data cannot be nullRequired field was not provided.
211WalletKey is invalidInvalid Visa Checkout data.
212Merchant Wallet Configuration not foundThe wallet is not enabled. See how to enable wallets on the Cielo website.
213Credit Card Number is invalidThe provided credit card is invalid.
214Credit Card Holder Must Have Only LettersMust not contain special characters.
215Agency is required in Boleto CredentialRequired field was not provided.
216Customer IP address is invalidIP is blocked for security reasons.
220Service tax can not be sent with 1 installmentServiceTaxAmount requires installments greater than 1.
228Customer Anddress Country is requiredThe provided field is empty or invalid.
233Service tax not supported for the given brand.ServiceTaxAmount is not supported by the card brand.
298Split payment facilitator data not foundThe provided MerchantId does not exist in the database of the selected environment (production or sandbox).
300MerchantId was not found
301Request IP is not allowedThe IP restriction service may be enabled, and the provided IP address is not configured. You can verify the IP addresses used by your merchant account on the Cielo website under E-commerce > Gestão API E-commerce > Gerenciamento de IPs. For more information, see the IP configuration documentation.
302Sent MerchantOrderId is duplicated
303Sent OrderId does not exist
304Customer Identity is requiredThe provided field is empty or invalid.
306Merchant is blockedThe merchant is blocked.
307Transaction not foundTransaction not found or does not exist in the selected environment.
308Transaction not available to capture

The transaction cannot be captured. We recommend querying the transactional status through the API.

Capture can only be performed when the transaction status is 1. Each transaction can be captured only once, including in cases of partial capture.

For more information, contact Cielo Support.

309Transaction not available to voidThe transaction cannot be voided. Please contact Cielo Support.
310Payment method doest not support this operationThe requested operation is not supported by the selected payment method.
311Refund is not enabled for this merchantVoids after 24 hours are not authorized for the merchant.
312Transaction not available to refundThe transaction does not allow voids after 24 hours.
313Recurrent Payment not foundRecurrence is not enabled. Contact Cielo Support to have it enabled.
314Invalid Integration
315Cannot change NextRecurrency with pending paymentIt is not allowed to change the recurrence date with a pending payment.
316Cannot set NextRecurrency to past dateIt is not allowed to change the recurrence date to a past date.
317Invalid Recurrency Day
318No transaction found
319Smart recurrency is not enabledThe recurrence is not linked to the merchant registration.
320Can not Update Affiliation Because this Recurrency not Affiliation saved
321Can not set EndDate to before next recurrency
322Zero Dollar Auth is not enabledZero Auth is not enabled. Contact Cielo Support to have it enabled.
323Bin Query is not enabledConsulta BIN is not enabled. Contact Cielo Support to have it enabled.
841Status nao permite capturarAttempt limit reached. Create a new transaction to perform the capture.


Provider return codes: ProviderReturnCode and ProviderReturnMessage

ProviderReturnCode and ProviderReturnMessage provide additional details for specific operations and can be useful for debugging. They represent the direct response returned by the provider (for example, the acquirer or bank), and their values are typically the same as those returned in ReturnCode and ReturnMessage.

Examples of operations that return ProviderReturnCode:

  • Pix refund;
  • Void;
  • Currency conversion;
  • Payment creation with boleto.

Reason codes: ReasonCode and ReasonMessage

ReasonCode and ReasonMessage can indicate either success or error conditions. They are associated with Cielo's internal operational flows and/or the interactions between Cielo and the card brand or issuer that occur after the API E-commerce Cielo receives the request.

ReasonCode indicates the code, while ReasonMessage provides the description associated with that code.

The main operations that return ReasonCode and ReasonMessage are:

  • Capture;
  • Void;
  • Currency conversion;
  • Payment creation with boleto.

Reason Code and Reason Message table

Reason CodeReason Message
00Successful
01AffiliationNotFound
02IssuficientFunds
03CouldNotGetCreditCard
04ConnectionWithAcquirerFailed
05InvalidTransactionType
06InvalidPaymentPlan
07Denied
08Scheduled
09Waiting
10Authenticated
11NotAuthenticated
12ProblemsWithCreditCard
13CardCanceled
14BlockedCreditCard
15CardExpired
16AbortedByFraud
17CouldNotAntifraud
18TryAgain
19InvalidAmount
20ProblemsWithIssuer
21InvalidCardNumber
22TimeOut
23CartaoProtegidoIsNotEnabled
24PaymentMethodIsNotEnabled
25CouldNotFindPaymentToken
26MerchantIdJustClickNotFound
27BrandNotSupported
28CardOptionsNotSupported
29WalletKeyIsInvalid
30MerchantWalletConfigurationNotFound
31BoletoRequiredDataNotSupported
32ConnectionWithAntifraudFailed
33AbortedByCardVerification
34ProblemsWithAcquirer
35ValidationError
36AcquirerTransactionNotFound
37SplitTransactionalError
38MerchantSplitConfigurationNotFound
39SplitSoftDescriptorIsRequired
40SplitFraudAnalysisIsRequired
41SplitAntifraudMerchantConfigurationNotFound
42ProviderNotFound
43PaymentSettingsNotFound
44SubAcquirerMerchantConfigurationNotFound
45AbortedBySubAcquirer
98InvalidRequest
99InternalError
100CieloPayCardHolderIsNotActive
101CieloPayStrongValidationIsInvalid
102CieloPayExpireDateDoesNotMatch
103CieloPayCardHolderApiError
104SplitPaymentFacilitatorDataNotFound